/api/v1/selphid/extract/template
Extracts the facial template and features from a raw template.
A raw template, used for extraction.
Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.
BAEBGgEroySjGz2C9iIki35J/FA...Result of the facial extraction.
The result of an extraction operation.
Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.
BAEBGgEroySjGz2C9iIki35J/FA...Biometric template buffer, obtained through GetFacialTemplateRaw(), base64-encoded.
BAEBAQHjF08R/Fbogyt7nysPd/K...The templateRaw has been updated in the extraction operation.
trueInterocular distance.
118Facial yaw angle in degrees.
2.4Facial pitch angle in degrees.
-4.32Facial roll angle in degrees.
0.7Whether the person in the image wears glasses (and of which type).
EyeValores possíveis: Approximate age of the person.
45The facial gender of the person in the image.
MaleValores possíveis: The probability of a face mask.
0.89Predicted face confidence.
0.99A metric indicating how accurately a template will perform in recognition.
GoodValores possíveis: In authentication, liveness and extraction operations that involve templateRaws, indicates whether the template's lifetime is valid. See "options:elapsedAllowedSeconds". In operations that do not involve raw templates, it is always true.
trueThe token's internal date and time value in "%Y-%m-%dT%H:%M:%SZ" format.
2022-01-14T10:42:05.521922ZDuration of the operation in milliseconds.
1234Incorrect parameters in the request.
An error occurred in the call to the SelphID-SDK backend.
POST /api/v1/selphid/extract/template HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 418
{
"faceTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
"options": {
"longDetail": true,
"elapsedAllowedSeconds": 3600,
"futureAllowedSeconds": 3600,
"facialDetection": "Frontal",
"minFaceAbsPx": 35,
"minFaceRel": 0.04,
"minIodPx": 35,
"maxPoseDegrees": 30,
"minFacialQuality": "Good",
"analyticsDetection": true,
"templateRawExtraction": true,
"falseDetectRate": 0.02,
"maxCantidates": 5,
"minSimilarity": 0.7,
"authThreshold": 60,
"livenessDepth": "Full"
}
}{
"facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
"facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
"updatedTemplateRaw": true,
"face": {
"x": 546,
"y": 224,
"width": 200,
"height": 300
},
"leftEye": {
"x": 546,
"y": 224
},
"rightEye": {
"x": 546,
"y": 224
},
"chin": {
"x": 546,
"y": 224
},
"nose": {
"x": 546,
"y": 224
},
"leftMouth": {
"x": 546,
"y": 224
},
"rightMouth": {
"x": 546,
"y": 224
},
"iod": 118,
"yaw": 2.4,
"pitch": -4.32,
"roll": 0.7,
"glasses": "Eye",
"age": 45,
"gender": "Male",
"mask": 0.89,
"faceConfidence": 0.99,
"facialQuality": "Good",
"validTimeStamp": true,
"tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
"sdkDuration": 1234
}Atualizado